subsetting {snapCGH} | R Documentation

## Subset SegList Objects

### Description

Extract a subset of an `SegList` object.

### Usage

    object[i, j]

### Arguments

`object` | object of class `SegList`
`i,j` | elements to extract. `i` subsets the genes or spots while `j` subsets the arrays

### Details

`i,j` may take any values acceptable for the matrix components of `object`. See the Extract help entry for more details on subsetting matrices.

### Value

An object of the same class as `object` holding data from the specified subset of genes and arrays.

### Author(s)

Gordon Smyth, modified by Mike Smith for SegList object

### See Also

`Extract` in the base package.

### Examples

    M <- A <- matrix(11:14,4,2)
    rownames(M) <- rownames(A) <- c("a","b","c","d")
    colnames(M) <- colnames(A) <- c("A","B")
    MA <- new("MAList",list(M=M,A=A))
    MA[1:2,]
    MA[1:2,2]
    MA[,2]

[Package snapCGH version 1.2.0 Index]